Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Cost Reports

Server
Download schema

List cost reports

GET
https://api.costfluent.com
/v1/cost-reports
Bearer (API token)

Returns all cost reports for a workspace, optionally filtered by folder

List cost reports › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required
includeFolderSummary
​boolean · required
folderId
​

List cost reports › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostReportListResponse
​CostfluentPublicApiModelsV1ResponsesCostReportResponse[] · required
​CostfluentPublicApiModelsV1ResponsesFolderSummaryResponse[] · required
total
​integer · int32 · required
GET/v1/cost-reports
curl 'https://api.costfluent.com/v1/cost-reports?workspaceId=[object Object]&includeFolderSummary=<bool>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "reports": [ { "id": { "Value": "Value" }, "title": "title", "folderId": { "Value": "Value" }, "filter": "filter", "groupBy": "groupBy", "dateInterval": "dateInterval", "startDate": "2024-08-25", "endDate": "2024-08-25", "chartType": "chartType", "dateBin": "dateBin", "settings": { "includeCredits": true, "includeRefunds": true, "includeTax": true, "amortize": true, "showForecast": true, "compareToLastPeriod": true }, "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" } ], "folders": [ { "id": { "Value": "Value" }, "title": "title", "reportCount": 0 } ], "total": 0 }
json
application/json

Create cost report

POST
https://api.costfluent.com
/v1/cost-reports
Bearer (API token)

Creates a new cost report configuration

Create cost report › Request Body

CostfluentPublicApiModelsV1RequestsCreateCostReportRequest
​CostfluentSharedKernelPublicIdsWorkspacePublicId · minLength: 1 · required
title
​string · minLength: 0 · maxLength: 200 · required
​
filter
​string | null
​
dateInterval
​CostfluentDomainEnumsDateInterval · enum
Enum values:
thisMonth
lastMonth
last7Days
last30Days
last90Days
yearToDate
custom
thisQuarter
startDate
​string | null · date
endDate
​string | null · date
chartType
​CostfluentDomainEnumsChartType · enum
Enum values:
line
bar
stackedBar
area
pie
table
dateBin
​CostfluentDomainEnumsDateBin · enum
Enum values:
day
week
month
quarter
​

Create cost report › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostReportCreatedResponse
​CostfluentSharedKernelPublicIdsCostReportPublicId · required
title
​string · required
POST/v1/cost-reports
curl https://api.costfluent.com/v1/cost-reports \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "workspaceId": { "Value": "Value" }, "title": "title", "folderId": { "Value": "Value" }, "filter": "filter", "groupBy": "provider", "dateInterval": "thisMonth", "startDate": "2024-08-25", "endDate": "2024-08-25", "chartType": "line", "dateBin": "day", "settings": { "includeCredits": true, "includeRefunds": true, "includeTax": true, "amortize": true, "showForecast": true, "compareToLastPeriod": true } }'
Example Request Body
{ "workspaceId": { "Value": "Value" }, "title": "title", "folderId": { "Value": "Value" }, "filter": "filter", "groupBy": "provider", "dateInterval": "thisMonth", "startDate": "2024-08-25", "endDate": "2024-08-25", "chartType": "line", "dateBin": "day", "settings": { "includeCredits": true, "includeRefunds": true, "includeTax": true, "amortize": true, "showForecast": true, "compareToLastPeriod": true } }
json
Example Responses
{ "id": { "Value": "Value" }, "title": "title" }
json
application/json

Get cost report

GET
https://api.costfluent.com
/v1/cost-reports/{costReportId}
Bearer (API token)

Returns a specific cost report configuration

Get cost report › path Parameters

​CostfluentSharedKernelPublicIdsCostReportPublicId · required

Get cost report › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Get cost report › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostReportResponse
​CostfluentSharedKernelPublicIdsCostReportPublicId · required
title
​string · required
dateInterval
​string · required
chartType
​string · required
dateBin
​string · required
​CostfluentPublicApiModelsV1ResponsesCostReportSettingsResponse · required
​
filter
​string | null
groupBy
​string | null
startDate
​string | null · date
endDate
​string | null · date
createdAt
​string · date-time
updatedAt
​string | null · date-time
GET/v1/cost-reports/{costReportId}
curl 'https://api.costfluent.com/v1/cost-reports/:costReportId?workspaceId=[object Object]' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "id": { "Value": "Value" }, "title": "title", "folderId": { "Value": "Value" }, "filter": "filter", "groupBy": "groupBy", "dateInterval": "dateInterval", "startDate": "2024-08-25", "endDate": "2024-08-25", "chartType": "chartType", "dateBin": "dateBin", "settings": { "includeCredits": true, "includeRefunds": true, "includeTax": true, "amortize": true, "showForecast": true, "compareToLastPeriod": true }, "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" }
json
application/json

Update cost report

PUT
https://api.costfluent.com
/v1/cost-reports/{costReportId}
Bearer (API token)

Updates a cost report configuration

Update cost report › path Parameters

​CostfluentSharedKernelPublicIdsCostReportPublicId · required

Update cost report › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Update cost report › Request Body

CostfluentPublicApiEndpointsV1CostReportsUpdateCostReportRequest
title
​string | null
​
filter
​string | null
clearFilter
​boolean
​
clearGroupBy
​boolean
​
startDate
​string | null · date
endDate
​string | null · date
​
​
​

Update cost report › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostReportResponse
​CostfluentSharedKernelPublicIdsCostReportPublicId · required
title
​string · required
dateInterval
​string · required
chartType
​string · required
dateBin
​string · required
​CostfluentPublicApiModelsV1ResponsesCostReportSettingsResponse · required
​
filter
​string | null
groupBy
​string | null
startDate
​string | null · date
endDate
​string | null · date
createdAt
​string · date-time
updatedAt
​string | null · date-time
PUT/v1/cost-reports/{costReportId}
curl 'https://api.costfluent.com/v1/cost-reports/:costReportId?workspaceId=[object Object]' \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "title": "title", "folderId": { "Value": "Value" }, "filter": "filter", "clearFilter": true, "groupBy": "provider", "clearGroupBy": true, "dateInterval": "thisMonth", "startDate": "2024-08-25", "endDate": "2024-08-25", "chartType": "line", "dateBin": "day", "settings": { "includeCredits": true, "includeRefunds": true, "includeTax": true, "amortize": true, "showForecast": true, "compareToLastPeriod": true } }'
Example Request Body
{ "title": "title", "folderId": { "Value": "Value" }, "filter": "filter", "clearFilter": true, "groupBy": "provider", "clearGroupBy": true, "dateInterval": "thisMonth", "startDate": "2024-08-25", "endDate": "2024-08-25", "chartType": "line", "dateBin": "day", "settings": { "includeCredits": true, "includeRefunds": true, "includeTax": true, "amortize": true, "showForecast": true, "compareToLastPeriod": true } }
json
Example Responses
{ "id": { "Value": "Value" }, "title": "title", "folderId": { "Value": "Value" }, "filter": "filter", "groupBy": "groupBy", "dateInterval": "dateInterval", "startDate": "2024-08-25", "endDate": "2024-08-25", "chartType": "chartType", "dateBin": "dateBin", "settings": { "includeCredits": true, "includeRefunds": true, "includeTax": true, "amortize": true, "showForecast": true, "compareToLastPeriod": true }, "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" }
json
application/json

Delete cost report

DELETE
https://api.costfluent.com
/v1/cost-reports/{costReportId}
Bearer (API token)

Deletes a cost report

Delete cost report › path Parameters

​CostfluentSharedKernelPublicIdsCostReportPublicId · required

Delete cost report › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Delete cost report › Responses

No Content

No data returned
DELETE/v1/cost-reports/{costReportId}
curl 'https://api.costfluent.com/v1/cost-reports/:costReportId?workspaceId=[object Object]' \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Get cost report data

GET
https://api.costfluent.com
/v1/cost-reports/{costReportId}/data
Bearer (API token)

Returns the computed cost data for a report

Get cost report data › path Parameters

​CostfluentSharedKernelPublicIdsCostReportPublicId · required

Get cost report data › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Get cost report data › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostReportDataResponse
​CostfluentPublicApiModelsV1ResponsesReportSummaryResponse · required
​CostfluentPublicApiModelsV1ResponsesReportTimeSeriesResponse[] · required
​CostfluentPublicApiModelsV1ResponsesReportBreakdownResponse[] · required
startDate
​string · date
endDate
​string · date
historyFloor
​string | null · date
GET/v1/cost-reports/{costReportId}/data
curl 'https://api.costfluent.com/v1/cost-reports/:costReportId/data?workspaceId=[object Object]' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "summary": { "totalCost": 0, "previousPeriodCost": 0, "changePercent": 0, "currency": "currency" }, "series": [ { "date": "2024-08-25", "groups": { "key": 0 } } ], "breakdown": [ { "group": "group", "cost": 0, "percent": 0 } ], "startDate": "2024-08-25", "endDate": "2024-08-25", "historyFloor": "2024-08-25" }
json
application/json

Cost-Report-SubscriptionsCost-Reports